Forum

Posted by
Oliver Smith  -  December 2011
While I realize this is a pike issue, I'm trying to build Roxen WS 5.1.185 from source and it's not building the Crypto.MD5 module (which is preventing me migrating to it, since our auth database uses MD5 hashes).

I've spent the entire morning searching for a way to get it to build, but all I can find are people asking how :)

I'm building under Ubuntu 10.10 Server and guessing it might be as simple as not having installed something :)
 
Posted by
Oliver Smith  -  December 2011
Ok - and as soon as I posted this, I saw that Crypto functions have been removed in Pike 7.6. Duh. Unfortunately it doesn't say what they were replaced with...
 
Posted by
Martin Stjernholm  -  December 2011
No, they haven't been removed, but they changed from lowercase names like Crypto.md5 to uppercase(ish), e.g. Crypto.MD5.

If you're building Pike and don't get them built, it sounds like you're lacking the nettle library. You can probably find it as a package for your dist - in Ubuntu it's called nettle-dev. Otherwise it's available at http://www.lysator.liu.se/~nisse/archive/.

I also believe it's bundled in the official pike source dists, but apparently that doesn't work for you.
 
1
Search this thread: